I am trying to install SLES12 SP1 on a hyper-v server. The hyper-v vm is gen 2 which means the DVD and HDD are SCSI not IDE. I can not get the hyper-v vm to boot from the SLES12 SP1 ISO. Does the hyper-v vm need to be gen 1 and not gen 2?